import { MockRequest } from "@delon/mock";

function getRandomNumber(base: number, range: number) {
  return base + Math.ceil(Math.random()*range*10) % range;
}
function getForecast24List(req: MockRequest) {
   const base = req.queryString.base;
   const range = req.queryString.range;
   const array = new Array(24);
   for(let n = 0 ; n < array.length ; n++) {
      array[n] = getRandomNumber(base,range);
   }
   return array;
}

export const DEMOS = {
    '/aqi/forecast24hours': (req: MockRequest) => getForecast24List(req),
    '/mete/forecast24hours': (req: MockRequest) => getForecast24List(req),
};